/***************************************************************/
/*                                                             */
/* Conversin de fuentes de MAKE BOTON en ASCII a fuentes      */
/* para CPP, que pueden ser compilados junto al programa.      */
/*                                                             */
/***************************************************************/
/*                                                             */
/* MAKE BOTON es un programa realizado por Jos David Guilln  */
/* MB a CPP   es una utilidad complementaria a Make Boton por  */
/*             Jos David Guilln...                           */
/*                                                             */
/***************************************************************/
/*                                                             */
/* GRACIAS POR UTILIZAR MI SOFTWARE...                         */
/*                                                             */
/*                               JOS DAVID GUILLN (c) 1995   */
/*                                                             */
/***************************************************************/



// Debe indicar el directorio exacto de la Cabecera de MAKE BOTON
#include "..\..\..\jd_lib\f_lib\make_bot.h"    // Fuciones de MAKE_BOTON
#include "stdlib.h"
#include "conio.h"
#include "alloc.h"
#include "graphics.h"



extern int /*vez,*/ memoria_asignada, Secuencias, *n_Botones_Secuencia;
 struct Make_Boton {  int Up,  Left, Down, Right;	unsigned char Cdf, Cb1,  Cb2; 	unsigned char Ab,  Pb;	unsigned Isc, Sc;  };
extern struct Make_Boton far *Botones;
struct Make_Boton Bot_Static;



extern void Libera_Memoria(void);extern void Imprime_Boton(int D_Bord, struct Make_Boton Bot_Imp);


// Esta funcin debe ser llamada para la inicializacion de los
//  botones en lugar de CARGA_BOTONES(...).
//  Para cargar los botones con parametro 0 y para imprimir
//   imprimir los estaticos con parametro [ n de secuencia ]
int Fichero_bot(char Dinamicos_Estaticos);

int Fichero_bot(char Dinamicos_Estaticos) {

static char vez = 0;

	switch(Dinamicos_Estaticos) {

	 case 0:
		if( vez == 0 ) {
				vez = 1;
				atexit( Libera_Memoria );
			       }
		if ( memoria_asignada == 1 ) {
				free(n_Botones_Secuencia);
				farfree(Botones);
				memoria_asignada = 0;
					     }
		int SiZe_BoToN = 0;
		if ( (Botones = (struct Make_Boton far *)farcalloc(1, sizeof( struct Make_Boton ) )) == NULL)
													 return SIN_MEMORIA;
                memoria_asignada = 1;

                Secuencias = 5;
                if (( n_Botones_Secuencia = (int *) malloc( sizeof(int)*Secuencias ) ) == NULL) {
		      cprintf("\nNo Hay suficiente Memoria, ni para un Boton\n\n");
                      return SIN_MEMORIA;
                }
                n_Botones_Secuencia[1 - 1] = 91;
                SiZe_BoToN += ( sizeof( struct Make_Boton ) * 91);
                if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
                  Secuencias = 1;
                  return SIN_MEMORIA;
                }
                memoria_asignada = 1;
                Botones [0].Left = 565;  Botones [0].Up = 0;Botones [0]. Right = 640;Botones [0]. Down = 26;
                Botones [0]. Cdf = 7;                Botones [0]. Cb1 = 56;                Botones [0]. Cb2 = 63;                Botones [0]. Ab = 2;                Botones [0]. Pb = 1;                Botones [0]. Isc = 0;                Botones [0]. Sc = 30;
                Botones [1].Left = 20;  Botones [1].Up = 34;Botones [1]. Right = 45;Botones [1]. Down = 59;
                Botones [1]. Cdf = 7;                Botones [1]. Cb1 = 56;                Botones [1]. Cb2 = 63;                Botones [1]. Ab = 2;                Botones [1]. Pb = 1;                Botones [1]. Isc = 0;                Botones [1]. Sc = 0;
                Botones [2].Left = 47;  Botones [2].Up = 34;Botones [2]. Right = 72;Botones [2]. Down = 59;
                Botones [2]. Cdf = 7;                Botones [2]. Cb1 = 56;                Botones [2]. Cb2 = 63;                Botones [2]. Ab = 2;                Botones [2]. Pb = 1;                Botones [2]. Isc = 0;                Botones [2]. Sc = 0;
                Botones [3].Left = 74;  Botones [3].Up = 34;Botones [3]. Right = 99;Botones [3]. Down = 59;
		Botones [3]. Cdf = 7;                Botones [3]. Cb1 = 56;                Botones [3]. Cb2 = 63;                Botones [3]. Ab = 2;                Botones [3]. Pb = 1;                Botones [3]. Isc = 0;                Botones [3]. Sc = 0;
                Botones [4].Left = 101;  Botones [4].Up = 34;Botones [4]. Right = 126;Botones [4]. Down = 59;
                Botones [4]. Cdf = 7;                Botones [4]. Cb1 = 56;                Botones [4]. Cb2 = 63;                Botones [4]. Ab = 2;                Botones [4]. Pb = 1;                Botones [4]. Isc = 0;                Botones [4]. Sc = 0;
		Botones [5].Left = 128;  Botones [5].Up = 34;Botones [5]. Right = 153;Botones [5]. Down = 59;
                Botones [5]. Cdf = 7;                Botones [5]. Cb1 = 56;                Botones [5]. Cb2 = 63;                Botones [5]. Ab = 2;                Botones [5]. Pb = 1;                Botones [5]. Isc = 0;                Botones [5]. Sc = 0;
                Botones [6].Left = 155;  Botones [6].Up = 34;Botones [6]. Right = 180;Botones [6]. Down = 59;
                Botones [6]. Cdf = 7;                Botones [6]. Cb1 = 56;                Botones [6]. Cb2 = 63;                Botones [6]. Ab = 2;                Botones [6]. Pb = 1;                Botones [6]. Isc = 0;                Botones [6]. Sc = 0;
                Botones [7].Left = 182;  Botones [7].Up = 34;Botones [7]. Right = 207;Botones [7]. Down = 59;
                Botones [7]. Cdf = 7;                Botones [7]. Cb1 = 56;                Botones [7]. Cb2 = 63;                Botones [7]. Ab = 2;                Botones [7]. Pb = 1;                Botones [7]. Isc = 0;                Botones [7]. Sc = 0;
                Botones [8].Left = 209;  Botones [8].Up = 34;Botones [8]. Right = 234;Botones [8]. Down = 59;
                Botones [8]. Cdf = 7;                Botones [8]. Cb1 = 56;                Botones [8]. Cb2 = 63;                Botones [8]. Ab = 2;                Botones [8]. Pb = 1;                Botones [8]. Isc = 0;                Botones [8]. Sc = 0;
                Botones [9].Left = 20;  Botones [9].Up = 61;Botones [9]. Right = 45;Botones [9]. Down = 86;
                Botones [9]. Cdf = 7;                Botones [9]. Cb1 = 56;                Botones [9]. Cb2 = 63;                Botones [9]. Ab = 2;                Botones [9]. Pb = 1;                Botones [9]. Isc = 0;                Botones [9]. Sc = 0;
                Botones [10].Left = 47;  Botones [10].Up = 61;Botones [10]. Right = 72;Botones [10]. Down = 86;
                Botones [10]. Cdf = 7;                Botones [10]. Cb1 = 56;                Botones [10]. Cb2 = 63;                Botones [10]. Ab = 2;                Botones [10]. Pb = 1;                Botones [10]. Isc = 0;                Botones [10]. Sc = 0;
                Botones [11].Left = 74;  Botones [11].Up = 61;Botones [11]. Right = 99;Botones [11]. Down = 86;
                Botones [11]. Cdf = 7;                Botones [11]. Cb1 = 56;                Botones [11]. Cb2 = 63;                Botones [11]. Ab = 2;                Botones [11]. Pb = 1;                Botones [11]. Isc = 0;                Botones [11]. Sc = 0;
                Botones [12].Left = 101;  Botones [12].Up = 61;Botones [12]. Right = 126;Botones [12]. Down = 86;
                Botones [12]. Cdf = 7;                Botones [12]. Cb1 = 56;                Botones [12]. Cb2 = 63;                Botones [12]. Ab = 2;                Botones [12]. Pb = 1;                Botones [12]. Isc = 0;                Botones [12]. Sc = 0;
                Botones [13].Left = 128;  Botones [13].Up = 61;Botones [13]. Right = 153;Botones [13]. Down = 86;
		Botones [13]. Cdf = 7;                Botones [13]. Cb1 = 56;                Botones [13]. Cb2 = 63;                Botones [13]. Ab = 2;                Botones [13]. Pb = 1;                Botones [13]. Isc = 0;                Botones [13]. Sc = 0;
                Botones [14].Left = 155;  Botones [14].Up = 61;Botones [14]. Right = 180;Botones [14]. Down = 86;
                Botones [14]. Cdf = 7;                Botones [14]. Cb1 = 56;                Botones [14]. Cb2 = 63;                Botones [14]. Ab = 2;                Botones [14]. Pb = 1;                Botones [14]. Isc = 0;                Botones [14]. Sc = 0;
                Botones [15].Left = 182;  Botones [15].Up = 61;Botones [15]. Right = 207;Botones [15]. Down = 86;
                Botones [15]. Cdf = 7;                Botones [15]. Cb1 = 56;                Botones [15]. Cb2 = 63;                Botones [15]. Ab = 2;                Botones [15]. Pb = 1;                Botones [15]. Isc = 0;                Botones [15]. Sc = 0;
                Botones [16].Left = 209;  Botones [16].Up = 61;Botones [16]. Right = 234;Botones [16]. Down = 86;
                Botones [16]. Cdf = 7;                Botones [16]. Cb1 = 56;                Botones [16]. Cb2 = 63;                Botones [16]. Ab = 2;                Botones [16]. Pb = 1;                Botones [16]. Isc = 0;                Botones [16]. Sc = 0;
                Botones [17].Left = 236;  Botones [17].Up = 34;Botones [17]. Right = 261;Botones [17]. Down = 59;
                Botones [17]. Cdf = 3;                Botones [17]. Cb1 = 56;                Botones [17]. Cb2 = 63;                Botones [17]. Ab = 3;                Botones [17]. Pb = 1;                Botones [17]. Isc = 0;                Botones [17]. Sc = 0;
                Botones [18].Left = 263;  Botones [18].Up = 34;Botones [18]. Right = 288;Botones [18]. Down = 59;
                Botones [18]. Cdf = 3;                Botones [18]. Cb1 = 56;                Botones [18]. Cb2 = 63;                Botones [18]. Ab = 3;                Botones [18]. Pb = 1;                Botones [18]. Isc = 0;                Botones [18]. Sc = 0;
                Botones [19].Left = 290;  Botones [19].Up = 34;Botones [19]. Right = 315;Botones [19]. Down = 59;
                Botones [19]. Cdf = 3;                Botones [19]. Cb1 = 56;                Botones [19]. Cb2 = 63;                Botones [19]. Ab = 3;                Botones [19]. Pb = 1;                Botones [19]. Isc = 0;                Botones [19]. Sc = 0;
                Botones [20].Left = 236;  Botones [20].Up = 61;Botones [20]. Right = 261;Botones [20]. Down = 86;
                Botones [20]. Cdf = 3;                Botones [20]. Cb1 = 56;                Botones [20]. Cb2 = 63;                Botones [20]. Ab = 3;                Botones [20]. Pb = 1;                Botones [20]. Isc = 0;                Botones [20]. Sc = 0;
                Botones [21].Left = 263;  Botones [21].Up = 61;Botones [21]. Right = 288;Botones [21]. Down = 86;
                Botones [21]. Cdf = 3;                Botones [21]. Cb1 = 56;                Botones [21]. Cb2 = 63;                Botones [21]. Ab = 3;                Botones [21]. Pb = 1;                Botones [21]. Isc = 0;                Botones [21]. Sc = 0;
                Botones [22].Left = 290;  Botones [22].Up = 61;Botones [22]. Right = 315;Botones [22]. Down = 86;
                Botones [22]. Cdf = 3;                Botones [22]. Cb1 = 56;                Botones [22]. Cb2 = 63;                Botones [22]. Ab = 3;                Botones [22]. Pb = 1;                Botones [22]. Isc = 0;                Botones [22]. Sc = 0;
                Botones [23].Left = 341;  Botones [23].Up = 34;Botones [23]. Right = 366;Botones [23]. Down = 59;
		Botones [23]. Cdf = 7;                Botones [23]. Cb1 = 56;                Botones [23]. Cb2 = 63;                Botones [23]. Ab = 2;                Botones [23]. Pb = 1;                Botones [23]. Isc = 0;                Botones [23]. Sc = 0;
                Botones [24].Left = 368;  Botones [24].Up = 34;Botones [24]. Right = 393;Botones [24]. Down = 59;
                Botones [24]. Cdf = 7;                Botones [24]. Cb1 = 56;                Botones [24]. Cb2 = 63;                Botones [24]. Ab = 2;                Botones [24]. Pb = 1;                Botones [24]. Isc = 0;                Botones [24]. Sc = 0;
                Botones [25].Left = 395;  Botones [25].Up = 34;Botones [25]. Right = 420;Botones [25]. Down = 59;
                Botones [25]. Cdf = 7;                Botones [25]. Cb1 = 56;                Botones [25]. Cb2 = 63;                Botones [25]. Ab = 2;                Botones [25]. Pb = 1;                Botones [25]. Isc = 0;                Botones [25]. Sc = 0;
                Botones [26].Left = 422;  Botones [26].Up = 34;Botones [26]. Right = 447;Botones [26]. Down = 59;
                Botones [26]. Cdf = 7;                Botones [26]. Cb1 = 56;                Botones [26]. Cb2 = 63;                Botones [26]. Ab = 2;                Botones [26]. Pb = 1;                Botones [26]. Isc = 0;                Botones [26]. Sc = 0;
                Botones [27].Left = 449;  Botones [27].Up = 34;Botones [27]. Right = 474;Botones [27]. Down = 59;
                Botones [27]. Cdf = 7;                Botones [27]. Cb1 = 56;                Botones [27]. Cb2 = 63;                Botones [27]. Ab = 2;                Botones [27]. Pb = 1;                Botones [27]. Isc = 0;                Botones [27]. Sc = 0;
                Botones [28].Left = 476;  Botones [28].Up = 34;Botones [28]. Right = 499;Botones [28]. Down = 59;
                Botones [28]. Cdf = 7;                Botones [28]. Cb1 = 56;                Botones [28]. Cb2 = 63;                Botones [28]. Ab = 2;                Botones [28]. Pb = 1;                Botones [28]. Isc = 0;                Botones [28]. Sc = 0;
                Botones [29].Left = 501;  Botones [29].Up = 34;Botones [29]. Right = 526;Botones [29]. Down = 59;
                Botones [29]. Cdf = 7;                Botones [29]. Cb1 = 56;                Botones [29]. Cb2 = 63;                Botones [29]. Ab = 2;                Botones [29]. Pb = 1;                Botones [29]. Isc = 0;                Botones [29]. Sc = 0;
                Botones [30].Left = 528;  Botones [30].Up = 34;Botones [30]. Right = 553;Botones [30]. Down = 59;
                Botones [30]. Cdf = 7;                Botones [30]. Cb1 = 56;                Botones [30]. Cb2 = 63;                Botones [30]. Ab = 2;                Botones [30]. Pb = 1;                Botones [30]. Isc = 0;                Botones [30]. Sc = 0;
                Botones [31].Left = 341;  Botones [31].Up = 61;Botones [31]. Right = 366;Botones [31]. Down = 86;
                Botones [31]. Cdf = 7;                Botones [31]. Cb1 = 56;                Botones [31]. Cb2 = 63;                Botones [31]. Ab = 2;                Botones [31]. Pb = 1;                Botones [31]. Isc = 0;                Botones [31]. Sc = 0;
                Botones [32].Left = 368;  Botones [32].Up = 61;Botones [32]. Right = 393;Botones [32]. Down = 86;
                Botones [32]. Cdf = 7;                Botones [32]. Cb1 = 56;                Botones [32]. Cb2 = 63;                Botones [32]. Ab = 2;                Botones [32]. Pb = 1;                Botones [32]. Isc = 0;                Botones [32]. Sc = 0;
                Botones [33].Left = 395;  Botones [33].Up = 61;Botones [33]. Right = 420;Botones [33]. Down = 86;
		Botones [33]. Cdf = 7;                Botones [33]. Cb1 = 56;                Botones [33]. Cb2 = 63;                Botones [33]. Ab = 2;                Botones [33]. Pb = 1;                Botones [33]. Isc = 0;                Botones [33]. Sc = 0;
                Botones [34].Left = 422;  Botones [34].Up = 61;Botones [34]. Right = 447;Botones [34]. Down = 86;
                Botones [34]. Cdf = 7;                Botones [34]. Cb1 = 56;                Botones [34]. Cb2 = 63;                Botones [34]. Ab = 2;                Botones [34]. Pb = 1;                Botones [34]. Isc = 0;                Botones [34]. Sc = 0;
                Botones [35].Left = 449;  Botones [35].Up = 61;Botones [35]. Right = 474;Botones [35]. Down = 86;
                Botones [35]. Cdf = 7;                Botones [35]. Cb1 = 56;                Botones [35]. Cb2 = 63;                Botones [35]. Ab = 2;                Botones [35]. Pb = 1;                Botones [35]. Isc = 0;                Botones [35]. Sc = 0;
                Botones [36].Left = 476;  Botones [36].Up = 61;Botones [36]. Right = 499;Botones [36]. Down = 86;
                Botones [36]. Cdf = 7;                Botones [36]. Cb1 = 56;                Botones [36]. Cb2 = 63;                Botones [36]. Ab = 2;                Botones [36]. Pb = 1;                Botones [36]. Isc = 0;                Botones [36]. Sc = 0;
                Botones [37].Left = 501;  Botones [37].Up = 61;Botones [37]. Right = 526;Botones [37]. Down = 86;
                Botones [37]. Cdf = 7;                Botones [37]. Cb1 = 56;                Botones [37]. Cb2 = 63;                Botones [37]. Ab = 2;                Botones [37]. Pb = 1;                Botones [37]. Isc = 0;                Botones [37]. Sc = 0;
                Botones [38].Left = 528;  Botones [38].Up = 61;Botones [38]. Right = 553;Botones [38]. Down = 86;
                Botones [38]. Cdf = 7;                Botones [38]. Cb1 = 56;                Botones [38]. Cb2 = 63;                Botones [38]. Ab = 2;                Botones [38]. Pb = 1;                Botones [38]. Isc = 0;                Botones [38]. Sc = 0;
                Botones [39].Left = 555;  Botones [39].Up = 34;Botones [39]. Right = 580;Botones [39]. Down = 59;
                Botones [39]. Cdf = 3;                Botones [39]. Cb1 = 56;                Botones [39]. Cb2 = 63;                Botones [39]. Ab = 3;                Botones [39]. Pb = 1;                Botones [39]. Isc = 0;                Botones [39]. Sc = 0;
                Botones [40].Left = 582;  Botones [40].Up = 34;Botones [40]. Right = 607;Botones [40]. Down = 59;
                Botones [40]. Cdf = 3;                Botones [40]. Cb1 = 56;                Botones [40]. Cb2 = 63;                Botones [40]. Ab = 3;                Botones [40]. Pb = 1;                Botones [40]. Isc = 0;                Botones [40]. Sc = 0;
                Botones [41].Left = 609;  Botones [41].Up = 34;Botones [41]. Right = 634;Botones [41]. Down = 59;
                Botones [41]. Cdf = 3;                Botones [41]. Cb1 = 56;                Botones [41]. Cb2 = 63;                Botones [41]. Ab = 3;                Botones [41]. Pb = 1;                Botones [41]. Isc = 0;                Botones [41]. Sc = 0;
                Botones [42].Left = 555;  Botones [42].Up = 61;Botones [42]. Right = 580;Botones [42]. Down = 86;
                Botones [42]. Cdf = 3;                Botones [42]. Cb1 = 56;                Botones [42]. Cb2 = 63;                Botones [42]. Ab = 3;                Botones [42]. Pb = 1;                Botones [42]. Isc = 0;                Botones [42]. Sc = 0;
                Botones [43].Left = 582;  Botones [43].Up = 61;Botones [43]. Right = 607;Botones [43]. Down = 86;
		Botones [43]. Cdf = 3;                Botones [43]. Cb1 = 56;                Botones [43]. Cb2 = 63;                Botones [43]. Ab = 3;                Botones [43]. Pb = 1;                Botones [43]. Isc = 0;                Botones [43]. Sc = 0;
                Botones [44].Left = 609;  Botones [44].Up = 61;Botones [44]. Right = 634;Botones [44]. Down = 86;
                Botones [44]. Cdf = 3;                Botones [44]. Cb1 = 56;                Botones [44]. Cb2 = 63;                Botones [44]. Ab = 3;                Botones [44]. Pb = 1;                Botones [44]. Isc = 0;                Botones [44]. Sc = 0;
                Botones [45].Left = 582;  Botones [45].Up = 364;Botones [45]. Right = 634;Botones [45]. Down = 388;
                Botones [45]. Cdf = 7;                Botones [45]. Cb1 = 56;                Botones [45]. Cb2 = 63;                Botones [45]. Ab = 2;                Botones [45]. Pb = 1;                Botones [45]. Isc = 0;                Botones [45]. Sc = 19;
                Botones [46].Left = 582;  Botones [46].Up = 390;Botones [46]. Right = 607;Botones [46]. Down = 451;
                Botones [46]. Cdf = 7;                Botones [46]. Cb1 = 56;                Botones [46]. Cb2 = 63;                Botones [46]. Ab = 2;                Botones [46]. Pb = 1;                Botones [46]. Isc = 0;                Botones [46]. Sc = 38;
                Botones [47].Left = 609;  Botones [47].Up = 390;Botones [47]. Right = 634;Botones [47]. Down = 451;
                Botones [47]. Cdf = 7;                Botones [47]. Cb1 = 56;                Botones [47]. Cb2 = 63;                Botones [47]. Ab = 2;                Botones [47]. Pb = 1;                Botones [47]. Isc = 0;                Botones [47]. Sc = 34;
                Botones [48].Left = 582;  Botones [48].Up = 453;Botones [48]. Right = 634;Botones [48]. Down = 478;
                Botones [48]. Cdf = 7;                Botones [48]. Cb1 = 56;                Botones [48]. Cb2 = 63;                Botones [48]. Ab = 2;                Botones [48]. Pb = 1;                Botones [48]. Isc = 0;                Botones [48]. Sc = 31;
                Botones [49].Left = 555;  Botones [49].Up = 364;Botones [49]. Right = 580;Botones [49]. Down = 478;
                Botones [49]. Cdf = 7;                Botones [49]. Cb1 = 56;                Botones [49]. Cb2 = 63;                Botones [49]. Ab = 2;                Botones [49]. Pb = 1;                Botones [49]. Isc = 0;                Botones [49]. Sc = 46;
                Botones [50].Left = 538;  Botones [50].Up = 103;Botones [50]. Right = 632;Botones [50]. Down = 127;
                Botones [50]. Cdf = 9;                Botones [50]. Cb1 = 56;                Botones [50]. Cb2 = 63;                Botones [50]. Ab = 2;                Botones [50]. Pb = 1;                Botones [50]. Isc = 0;                Botones [50]. Sc = 22;
                Botones [51].Left = 500;  Botones [51].Up = 100;Botones [51]. Right = 530;Botones [51]. Down = 130;
                Botones [51]. Cdf = 7;                Botones [51]. Cb1 = 56;                Botones [51]. Cb2 = 63;                Botones [51]. Ab = 2;                Botones [51]. Pb = 1;                Botones [51]. Isc = 78;                Botones [51]. Sc = 0;
                Botones [52].Left = 465;  Botones [52].Up = 100;Botones [52]. Right = 495;Botones [52]. Down = 130;
                Botones [52]. Cdf = 7;                Botones [52]. Cb1 = 56;                Botones [52]. Cb2 = 63;                Botones [52]. Ab = 2;                Botones [52]. Pb = 1;                Botones [52]. Isc = 83;                Botones [52]. Sc = 0;
                Botones [53].Left = 430;  Botones [53].Up = 100;Botones [53]. Right = 460;Botones [53]. Down = 130;
		Botones [53]. Cdf = 7;                Botones [53]. Cb1 = 56;                Botones [53]. Cb2 = 63;                Botones [53]. Ab = 2;                Botones [53]. Pb = 1;                Botones [53]. Isc = 70;                Botones [53]. Sc = 0;
                Botones [54].Left = 605;  Botones [54].Up = 135;Botones [54]. Right = 635;Botones [54]. Down = 165;
                Botones [54]. Cdf = 7;                Botones [54]. Cb1 = 56;                Botones [54]. Cb2 = 63;                Botones [54]. Ab = 2;                Botones [54]. Pb = 1;                Botones [54]. Isc = 72;                Botones [54]. Sc = 0;
                Botones [55].Left = 570;  Botones [55].Up = 135;Botones [55]. Right = 600;Botones [55]. Down = 165;
                Botones [55]. Cdf = 7;                Botones [55]. Cb1 = 56;                Botones [55]. Cb2 = 63;                Botones [55]. Ab = 2;                Botones [55]. Pb = 1;                Botones [55]. Isc = 82;                Botones [55]. Sc = 0;
                Botones [56].Left = 535;  Botones [56].Up = 135;Botones [56]. Right = 565;Botones [56]. Down = 165;
                Botones [56]. Cdf = 7;                Botones [56]. Cb1 = 56;                Botones [56]. Cb2 = 63;                Botones [56]. Ab = 2;                Botones [56]. Pb = 1;                Botones [56]. Isc = 84;                Botones [56]. Sc = 0;
                Botones [57].Left = 500;  Botones [57].Up = 135;Botones [57]. Right = 530;Botones [57]. Down = 165;
                Botones [57]. Cdf = 7;                Botones [57]. Cb1 = 56;                Botones [57]. Cb2 = 63;                Botones [57]. Ab = 2;                Botones [57]. Pb = 1;                Botones [57]. Isc = 67;                Botones [57]. Sc = 0;
                Botones [58].Left = 465;  Botones [58].Up = 135;Botones [58]. Right = 495;Botones [58]. Down = 165;
                Botones [58]. Cdf = 7;                Botones [58]. Cb1 = 56;                Botones [58]. Cb2 = 63;                Botones [58]. Ab = 2;                Botones [58]. Pb = 1;                Botones [58]. Isc = 79;                Botones [58]. Sc = 0;
                Botones [59].Left = 430;  Botones [59].Up = 135;Botones [59]. Right = 460;Botones [59]. Down = 165;
                Botones [59]. Cdf = 7;                Botones [59]. Cb1 = 56;                Botones [59]. Cb2 = 63;                Botones [59]. Ab = 2;                Botones [59]. Pb = 1;                Botones [59]. Isc = 65;                Botones [59]. Sc = 0;
                Botones [60].Left = 605;  Botones [60].Up = 170;Botones [60]. Right = 635;Botones [60]. Down = 200;
                Botones [60]. Cdf = 7;                Botones [60]. Cb1 = 56;                Botones [60]. Cb2 = 63;                Botones [60]. Ab = 2;                Botones [60]. Pb = 1;                Botones [60]. Isc = 0;                Botones [60]. Sc = 24;
                Botones [61].Left = 570;  Botones [61].Up = 170;Botones [61]. Right = 600;Botones [61]. Down = 200;
                Botones [61]. Cdf = 7;                Botones [61]. Cb1 = 56;                Botones [61]. Cb2 = 63;                Botones [61]. Ab = 2;                Botones [61]. Pb = 1;                Botones [61]. Isc = 0;                Botones [61]. Sc = 35;
                Botones [62].Left = 535;  Botones [62].Up = 170;Botones [62]. Right = 565;Botones [62]. Down = 200;
                Botones [62]. Cdf = 7;                Botones [62]. Cb1 = 56;                Botones [62]. Cb2 = 63;                Botones [62]. Ab = 2;                Botones [62]. Pb = 1;                Botones [62]. Isc = 68;                Botones [62]. Sc = 0;
                Botones [63].Left = 500;  Botones [63].Up = 170;Botones [63]. Right = 530;Botones [63]. Down = 200;
		Botones [63]. Cdf = 7;                Botones [63]. Cb1 = 56;                Botones [63]. Cb2 = 63;                Botones [63]. Ab = 2;                Botones [63]. Pb = 1;                Botones [63]. Isc = 77;                Botones [63]. Sc = 0;
                Botones [64].Left = 465;  Botones [64].Up = 170;Botones [64]. Right = 495;Botones [64]. Down = 200;
                Botones [64]. Cdf = 7;                Botones [64]. Cb1 = 56;                Botones [64]. Cb2 = 63;                Botones [64]. Ab = 2;                Botones [64]. Pb = 1;                Botones [64]. Isc = 85;                Botones [64]. Sc = 0;
                Botones [65].Left = 430;  Botones [65].Up = 170;Botones [65]. Right = 460;Botones [65]. Down = 200;
                Botones [65]. Cdf = 7;                Botones [65]. Cb1 = 56;                Botones [65]. Cb2 = 63;                Botones [65]. Ab = 2;                Botones [65]. Pb = 1;                Botones [65]. Isc = 76;                Botones [65]. Sc = 0;
                Botones [66].Left = 605;  Botones [66].Up = 205;Botones [66]. Right = 635;Botones [66]. Down = 235;
                Botones [66]. Cdf = 14;                Botones [66]. Cb1 = 56;                Botones [66]. Cb2 = 63;                Botones [66]. Ab = 2;                Botones [66]. Pb = 1;                Botones [66]. Isc = 0;                Botones [66]. Sc = 0;
                Botones [67].Left = 570;  Botones [67].Up = 205;Botones [67]. Right = 600;Botones [67]. Down = 235;
                Botones [67]. Cdf = 14;                Botones [67]. Cb1 = 56;                Botones [67]. Cb2 = 63;                Botones [67]. Ab = 2;                Botones [67]. Pb = 1;                Botones [67]. Isc = 0;                Botones [67]. Sc = 0;
                Botones [68].Left = 535;  Botones [68].Up = 205;Botones [68]. Right = 565;Botones [68]. Down = 235;
                Botones [68]. Cdf = 14;                Botones [68]. Cb1 = 56;                Botones [68]. Cb2 = 63;                Botones [68]. Ab = 2;                Botones [68]. Pb = 1;                Botones [68]. Isc = 0;                Botones [68]. Sc = 0;
                Botones [69].Left = 500;  Botones [69].Up = 205;Botones [69]. Right = 530;Botones [69]. Down = 235;
                Botones [69]. Cdf = 63;                Botones [69]. Cb1 = 56;                Botones [69]. Cb2 = 7;                Botones [69]. Ab = 2;                Botones [69]. Pb = 1;                Botones [69]. Isc = 57;                Botones [69]. Sc = 0;
                Botones [70].Left = 465;  Botones [70].Up = 205;Botones [70]. Right = 495;Botones [70]. Down = 235;
                Botones [70]. Cdf = 63;                Botones [70]. Cb1 = 56;                Botones [70]. Cb2 = 7;                Botones [70]. Ab = 2;                Botones [70]. Pb = 1;                Botones [70]. Isc = 56;                Botones [70]. Sc = 0;
                Botones [71].Left = 430;  Botones [71].Up = 205;Botones [71]. Right = 460;Botones [71]. Down = 235;
                Botones [71]. Cdf = 63;                Botones [71]. Cb1 = 56;                Botones [71]. Cb2 = 7;                Botones [71]. Ab = 2;                Botones [71]. Pb = 1;                Botones [71]. Isc = 55;                Botones [71]. Sc = 0;
                Botones [72].Left = 605;  Botones [72].Up = 240;Botones [72]. Right = 635;Botones [72]. Down = 270;
                Botones [72]. Cdf = 14;                Botones [72]. Cb1 = 56;                Botones [72]. Cb2 = 63;                Botones [72]. Ab = 2;                Botones [72]. Pb = 1;                Botones [72]. Isc = 0;                Botones [72]. Sc = 0;
                Botones [73].Left = 570;  Botones [73].Up = 240;Botones [73]. Right = 600;Botones [73]. Down = 270;
		Botones [73]. Cdf = 14;                Botones [73]. Cb1 = 56;                Botones [73]. Cb2 = 63;                Botones [73]. Ab = 2;                Botones [73]. Pb = 1;                Botones [73]. Isc = 0;                Botones [73]. Sc = 83;
                Botones [74].Left = 535;  Botones [74].Up = 240;Botones [74]. Right = 565;Botones [74]. Down = 270;
                Botones [74]. Cdf = 14;                Botones [74]. Cb1 = 56;                Botones [74]. Cb2 = 63;                Botones [74]. Ab = 2;                Botones [74]. Pb = 1;                Botones [74]. Isc = 0;                Botones [74]. Sc = 0;
                Botones [75].Left = 500;  Botones [75].Up = 240;Botones [75]. Right = 530;Botones [75]. Down = 270;
                Botones [75]. Cdf = 63;                Botones [75]. Cb1 = 56;                Botones [75]. Cb2 = 7;                Botones [75]. Ab = 2;                Botones [75]. Pb = 1;                Botones [75]. Isc = 54;                Botones [75]. Sc = 0;
                Botones [76].Left = 465;  Botones [76].Up = 240;Botones [76]. Right = 495;Botones [76]. Down = 270;
                Botones [76]. Cdf = 63;                Botones [76]. Cb1 = 56;                Botones [76]. Cb2 = 7;                Botones [76]. Ab = 2;                Botones [76]. Pb = 1;                Botones [76]. Isc = 53;                Botones [76]. Sc = 0;
                Botones [77].Left = 430;  Botones [77].Up = 240;Botones [77]. Right = 460;Botones [77]. Down = 270;
                Botones [77]. Cdf = 63;                Botones [77]. Cb1 = 56;                Botones [77]. Cb2 = 7;                Botones [77]. Ab = 2;                Botones [77]. Pb = 1;                Botones [77]. Isc = 52;                Botones [77]. Sc = 0;
                Botones [78].Left = 605;  Botones [78].Up = 275;Botones [78]. Right = 635;Botones [78]. Down = 305;
                Botones [78]. Cdf = 14;                Botones [78]. Cb1 = 56;                Botones [78]. Cb2 = 63;                Botones [78]. Ab = 2;                Botones [78]. Pb = 1;                Botones [78]. Isc = 0;                Botones [78]. Sc = 72;
                Botones [79].Left = 570;  Botones [79].Up = 275;Botones [79]. Right = 600;Botones [79]. Down = 305;
                Botones [79]. Cdf = 14;                Botones [79]. Cb1 = 56;                Botones [79]. Cb2 = 63;                Botones [79]. Ab = 2;                Botones [79]. Pb = 1;                Botones [79]. Isc = 0;                Botones [79]. Sc = 82;
                Botones [80].Left = 535;  Botones [80].Up = 275;Botones [80]. Right = 565;Botones [80]. Down = 305;
                Botones [80]. Cdf = 14;                Botones [80]. Cb1 = 56;                Botones [80]. Cb2 = 63;                Botones [80]. Ab = 2;                Botones [80]. Pb = 1;                Botones [80]. Isc = 0;                Botones [80]. Sc = 0;
                Botones [81].Left = 500;  Botones [81].Up = 275;Botones [81]. Right = 530;Botones [81]. Down = 305;
                Botones [81]. Cdf = 63;                Botones [81]. Cb1 = 56;                Botones [81]. Cb2 = 7;                Botones [81]. Ab = 2;                Botones [81]. Pb = 1;                Botones [81]. Isc = 51;                Botones [81]. Sc = 0;
                Botones [82].Left = 465;  Botones [82].Up = 275;Botones [82]. Right = 495;Botones [82]. Down = 305;
                Botones [82]. Cdf = 63;                Botones [82]. Cb1 = 56;                Botones [82]. Cb2 = 7;                Botones [82]. Ab = 2;                Botones [82]. Pb = 1;                Botones [82]. Isc = 50;                Botones [82]. Sc = 0;
                Botones [83].Left = 430;  Botones [83].Up = 275;Botones [83]. Right = 460;Botones [83]. Down = 305;
		Botones [83]. Cdf = 63;                Botones [83]. Cb1 = 56;                Botones [83]. Cb2 = 7;                Botones [83]. Ab = 2;                Botones [83]. Pb = 1;                Botones [83]. Isc = 49;                Botones [83]. Sc = 0;
                Botones [84].Left = 605;  Botones [84].Up = 310;Botones [84]. Right = 635;Botones [84]. Down = 340;
                Botones [84]. Cdf = 14;                Botones [84]. Cb1 = 56;                Botones [84]. Cb2 = 63;                Botones [84]. Ab = 2;                Botones [84]. Pb = 1;                Botones [84]. Isc = 0;                Botones [84]. Sc = 80;
                Botones [85].Left = 570;  Botones [85].Up = 310;Botones [85]. Right = 600;Botones [85]. Down = 340;
                Botones [85]. Cdf = 14;                Botones [85]. Cb1 = 56;                Botones [85]. Cb2 = 63;                Botones [85]. Ab = 2;                Botones [85]. Pb = 1;                Botones [85]. Isc = 13;                Botones [85]. Sc = 0;
                Botones [86].Left = 535;  Botones [86].Up = 310;Botones [86]. Right = 565;Botones [86]. Down = 340;
                Botones [86]. Cdf = 14;                Botones [86]. Cb1 = 56;                Botones [86]. Cb2 = 63;                Botones [86]. Ab = 2;                Botones [86]. Pb = 1;                Botones [86]. Isc = 0;                Botones [86]. Sc = 0;
                Botones [87].Left = 500;  Botones [87].Up = 310;Botones [87]. Right = 530;Botones [87]. Down = 340;
                Botones [87]. Cdf = 63;                Botones [87]. Cb1 = 56;                Botones [87]. Cb2 = 7;                Botones [87]. Ab = 2;                Botones [87]. Pb = 1;                Botones [87]. Isc = 8;                Botones [87]. Sc = 0;
                Botones [88].Left = 430;  Botones [88].Up = 310;Botones [88]. Right = 460;Botones [88]. Down = 340;
                Botones [88]. Cdf = 63;                Botones [88]. Cb1 = 56;                Botones [88]. Cb2 = 7;                Botones [88]. Ab = 2;                Botones [88]. Pb = 1;                Botones [88]. Isc = 48;                Botones [88]. Sc = 0;
                Botones [89].Left = 430;  Botones [89].Up = 345;Botones [89]. Right = 530;Botones [89]. Down = 359;
                Botones [89]. Cdf = 7;                Botones [89]. Cb1 = 56;                Botones [89]. Cb2 = 63;                Botones [89]. Ab = 2;                Botones [89]. Pb = 1;                Botones [89]. Isc = 0;                Botones [89]. Sc = 0;
                Botones [90].Left = 535;  Botones [90].Up = 345;Botones [90]. Right = 635;Botones [90]. Down = 359;
                Botones [90]. Cdf = 7;                Botones [90]. Cb1 = 56;                Botones [90]. Cb2 = 63;                Botones [90]. Ab = 2;                Botones [90]. Pb = 1;                Botones [90]. Isc = 0;                Botones [90]. Sc = 0;
                n_Botones_Secuencia[2 - 1] = 31;
                SiZe_BoToN += ( sizeof( struct Make_Boton ) * 31);
                if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
                  Secuencias = 2;
                  return SIN_MEMORIA;
		}
                memoria_asignada = 1;
                Botones [91].Left = 20;  Botones [91].Up = 34;Botones [91]. Right = 45;Botones [91]. Down = 59;
                Botones [91]. Cdf = 7;                Botones [91]. Cb1 = 56;                Botones [91]. Cb2 = 63;                Botones [91]. Ab = 2;                Botones [91]. Pb = 1;                Botones [91]. Isc = 0;                Botones [91]. Sc = 0;
                Botones [92].Left = 47;  Botones [92].Up = 34;Botones [92]. Right = 72;Botones [92]. Down = 59;
                Botones [92]. Cdf = 7;                Botones [92]. Cb1 = 56;                Botones [92]. Cb2 = 63;                Botones [92]. Ab = 2;                Botones [92]. Pb = 1;                Botones [92]. Isc = 0;                Botones [92]. Sc = 0;
                Botones [93].Left = 74;  Botones [93].Up = 34;Botones [93]. Right = 99;Botones [93]. Down = 59;
                Botones [93]. Cdf = 7;                Botones [93]. Cb1 = 56;                Botones [93]. Cb2 = 63;                Botones [93]. Ab = 2;                Botones [93]. Pb = 1;                Botones [93]. Isc = 0;                Botones [93]. Sc = 0;
                Botones [94].Left = 101;  Botones [94].Up = 34;Botones [94]. Right = 126;Botones [94]. Down = 59;
                Botones [94]. Cdf = 7;                Botones [94]. Cb1 = 56;                Botones [94]. Cb2 = 63;                Botones [94]. Ab = 2;                Botones [94]. Pb = 1;                Botones [94]. Isc = 0;                Botones [94]. Sc = 0;
                Botones [95].Left = 128;  Botones [95].Up = 34;Botones [95]. Right = 153;Botones [95]. Down = 59;
                Botones [95]. Cdf = 7;                Botones [95]. Cb1 = 56;                Botones [95]. Cb2 = 63;                Botones [95]. Ab = 2;                Botones [95]. Pb = 1;                Botones [95]. Isc = 0;                Botones [95]. Sc = 0;
                Botones [96].Left = 155;  Botones [96].Up = 34;Botones [96]. Right = 180;Botones [96]. Down = 59;
                Botones [96]. Cdf = 7;                Botones [96]. Cb1 = 56;                Botones [96]. Cb2 = 63;                Botones [96]. Ab = 2;                Botones [96]. Pb = 1;                Botones [96]. Isc = 0;                Botones [96]. Sc = 0;
                Botones [97].Left = 182;  Botones [97].Up = 34;Botones [97]. Right = 207;Botones [97]. Down = 59;
                Botones [97]. Cdf = 7;                Botones [97]. Cb1 = 56;                Botones [97]. Cb2 = 63;                Botones [97]. Ab = 2;                Botones [97]. Pb = 1;                Botones [97]. Isc = 0;                Botones [97]. Sc = 0;
                Botones [98].Left = 209;  Botones [98].Up = 34;Botones [98]. Right = 234;Botones [98]. Down = 59;
                Botones [98]. Cdf = 7;                Botones [98]. Cb1 = 56;                Botones [98]. Cb2 = 63;                Botones [98]. Ab = 2;                Botones [98]. Pb = 1;                Botones [98]. Isc = 0;                Botones [98]. Sc = 0;
                Botones [99].Left = 20;  Botones [99].Up = 61;Botones [99]. Right = 45;Botones [99]. Down = 86;
                Botones [99]. Cdf = 7;                Botones [99]. Cb1 = 56;                Botones [99]. Cb2 = 63;                Botones [99]. Ab = 2;                Botones [99]. Pb = 1;                Botones [99]. Isc = 0;                Botones [99]. Sc = 0;
		Botones [100].Left = 47;  Botones [100].Up = 61;Botones [100]. Right = 72;Botones [100]. Down = 86;
                Botones [100]. Cdf = 7;                Botones [100]. Cb1 = 56;                Botones [100]. Cb2 = 63;                Botones [100]. Ab = 2;                Botones [100]. Pb = 1;                Botones [100]. Isc = 0;                Botones [100]. Sc = 0;
                Botones [101].Left = 74;  Botones [101].Up = 61;Botones [101]. Right = 99;Botones [101]. Down = 86;
                Botones [101]. Cdf = 7;                Botones [101]. Cb1 = 56;                Botones [101]. Cb2 = 63;                Botones [101]. Ab = 2;                Botones [101]. Pb = 1;                Botones [101]. Isc = 0;                Botones [101]. Sc = 0;
                Botones [102].Left = 101;  Botones [102].Up = 61;Botones [102]. Right = 126;Botones [102]. Down = 86;
                Botones [102]. Cdf = 7;                Botones [102]. Cb1 = 56;                Botones [102]. Cb2 = 63;                Botones [102]. Ab = 2;                Botones [102]. Pb = 1;                Botones [102]. Isc = 0;                Botones [102]. Sc = 0;
                Botones [103].Left = 128;  Botones [103].Up = 61;Botones [103]. Right = 153;Botones [103]. Down = 86;
                Botones [103]. Cdf = 7;                Botones [103]. Cb1 = 56;                Botones [103]. Cb2 = 63;                Botones [103]. Ab = 2;                Botones [103]. Pb = 1;                Botones [103]. Isc = 0;                Botones [103]. Sc = 0;
                Botones [104].Left = 155;  Botones [104].Up = 61;Botones [104]. Right = 180;Botones [104]. Down = 86;
                Botones [104]. Cdf = 7;                Botones [104]. Cb1 = 56;                Botones [104]. Cb2 = 63;                Botones [104]. Ab = 2;                Botones [104]. Pb = 1;                Botones [104]. Isc = 0;                Botones [104]. Sc = 0;
                Botones [105].Left = 182;  Botones [105].Up = 61;Botones [105]. Right = 207;Botones [105]. Down = 86;
                Botones [105]. Cdf = 7;                Botones [105]. Cb1 = 56;                Botones [105]. Cb2 = 63;                Botones [105]. Ab = 2;                Botones [105]. Pb = 1;                Botones [105]. Isc = 0;                Botones [105]. Sc = 0;
                Botones [106].Left = 209;  Botones [106].Up = 61;Botones [106]. Right = 234;Botones [106]. Down = 86;
                Botones [106]. Cdf = 7;                Botones [106]. Cb1 = 56;                Botones [106]. Cb2 = 63;                Botones [106]. Ab = 2;                Botones [106]. Pb = 1;                Botones [106]. Isc = 0;                Botones [106]. Sc = 0;
                Botones [107].Left = 236;  Botones [107].Up = 34;Botones [107]. Right = 261;Botones [107]. Down = 59;
                Botones [107]. Cdf = 3;                Botones [107]. Cb1 = 56;                Botones [107]. Cb2 = 63;                Botones [107]. Ab = 3;                Botones [107]. Pb = 1;                Botones [107]. Isc = 0;                Botones [107]. Sc = 0;
                Botones [108].Left = 263;  Botones [108].Up = 34;Botones [108]. Right = 288;Botones [108]. Down = 59;
                Botones [108]. Cdf = 3;                Botones [108]. Cb1 = 56;                Botones [108]. Cb2 = 63;                Botones [108]. Ab = 3;                Botones [108]. Pb = 1;                Botones [108]. Isc = 0;                Botones [108]. Sc = 0;
                Botones [109].Left = 290;  Botones [109].Up = 34;Botones [109]. Right = 315;Botones [109]. Down = 59;
                Botones [109]. Cdf = 3;                Botones [109]. Cb1 = 56;                Botones [109]. Cb2 = 63;                Botones [109]. Ab = 3;                Botones [109]. Pb = 1;                Botones [109]. Isc = 0;                Botones [109]. Sc = 0;
		Botones [110].Left = 236;  Botones [110].Up = 61;Botones [110]. Right = 261;Botones [110]. Down = 86;
                Botones [110]. Cdf = 3;                Botones [110]. Cb1 = 56;                Botones [110]. Cb2 = 63;                Botones [110]. Ab = 3;                Botones [110]. Pb = 1;                Botones [110]. Isc = 0;                Botones [110]. Sc = 0;
                Botones [111].Left = 263;  Botones [111].Up = 61;Botones [111]. Right = 288;Botones [111]. Down = 86;
                Botones [111]. Cdf = 3;                Botones [111]. Cb1 = 56;                Botones [111]. Cb2 = 63;                Botones [111]. Ab = 3;                Botones [111]. Pb = 1;                Botones [111]. Isc = 0;                Botones [111]. Sc = 0;
                Botones [112].Left = 290;  Botones [112].Up = 61;Botones [112]. Right = 315;Botones [112]. Down = 86;
                Botones [112]. Cdf = 3;                Botones [112]. Cb1 = 56;                Botones [112]. Cb2 = 63;                Botones [112]. Ab = 3;                Botones [112]. Pb = 1;                Botones [112]. Isc = 0;                Botones [112]. Sc = 0;
                Botones [113].Left = 555;  Botones [113].Up = 34;Botones [113]. Right = 580;Botones [113]. Down = 59;
                Botones [113]. Cdf = 3;                Botones [113]. Cb1 = 56;                Botones [113]. Cb2 = 63;                Botones [113]. Ab = 3;                Botones [113]. Pb = 1;                Botones [113]. Isc = 0;                Botones [113]. Sc = 0;
                Botones [114].Left = 582;  Botones [114].Up = 34;Botones [114]. Right = 607;Botones [114]. Down = 59;
                Botones [114]. Cdf = 3;                Botones [114]. Cb1 = 56;                Botones [114]. Cb2 = 63;                Botones [114]. Ab = 3;                Botones [114]. Pb = 1;                Botones [114]. Isc = 0;                Botones [114]. Sc = 0;
                Botones [115].Left = 609;  Botones [115].Up = 34;Botones [115]. Right = 634;Botones [115]. Down = 59;
                Botones [115]. Cdf = 3;                Botones [115]. Cb1 = 56;                Botones [115]. Cb2 = 63;                Botones [115]. Ab = 3;                Botones [115]. Pb = 1;                Botones [115]. Isc = 0;                Botones [115]. Sc = 0;
                Botones [116].Left = 555;  Botones [116].Up = 61;Botones [116]. Right = 580;Botones [116]. Down = 86;
                Botones [116]. Cdf = 3;                Botones [116]. Cb1 = 56;                Botones [116]. Cb2 = 63;                Botones [116]. Ab = 3;                Botones [116]. Pb = 1;                Botones [116]. Isc = 0;                Botones [116]. Sc = 0;
                Botones [117].Left = 582;  Botones [117].Up = 61;Botones [117]. Right = 607;Botones [117]. Down = 86;
		Botones [117]. Cdf = 3;                Botones [117]. Cb1 = 56;                Botones [117]. Cb2 = 63;                Botones [117]. Ab = 3;                Botones [117]. Pb = 1;                Botones [117]. Isc = 0;                Botones [117]. Sc = 0;
                Botones [118].Left = 609;  Botones [118].Up = 61;Botones [118]. Right = 634;Botones [118]. Down = 86;
                Botones [118]. Cdf = 3;                Botones [118]. Cb1 = 56;                Botones [118]. Cb2 = 63;                Botones [118]. Ab = 3;                Botones [118]. Pb = 1;                Botones [118]. Isc = 0;                Botones [118]. Sc = 0;
                Botones [119].Left = 538;  Botones [119].Up = 103;Botones [119]. Right = 632;Botones [119]. Down = 127;
                Botones [119]. Cdf = 9;                Botones [119]. Cb1 = 56;                Botones [119]. Cb2 = 63;                Botones [119]. Ab = 2;                Botones [119]. Pb = 1;                Botones [119]. Isc = 0;                Botones [119]. Sc = 31;
		Botones [120].Left = 605;  Botones [120].Up = 275;Botones [120]. Right = 635;Botones [120]. Down = 305;
                Botones [120]. Cdf = 14;                Botones [120]. Cb1 = 56;                Botones [120]. Cb2 = 63;                Botones [120]. Ab = 2;                Botones [120]. Pb = 1;                Botones [120]. Isc = 0;                Botones [120]. Sc = 72;
                Botones [121].Left = 605;  Botones [121].Up = 310;Botones [121]. Right = 635;Botones [121]. Down = 340;
                Botones [121]. Cdf = 14;                Botones [121]. Cb1 = 56;                Botones [121]. Cb2 = 63;                Botones [121]. Ab = 2;                Botones [121]. Pb = 1;                Botones [121]. Isc = 0;                Botones [121]. Sc = 80;
                n_Botones_Secuencia[3 - 1] = 2;
                SiZe_BoToN += ( sizeof( struct Make_Boton ) * 2);
                if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
                  Secuencias = 3;
                  return SIN_MEMORIA;
                }
                memoria_asignada = 1;
                Botones [122].Left = 204;  Botones [122].Up = 274;Botones [122]. Right = 276;Botones [122]. Down = 291;
                Botones [122]. Cdf = 7;                Botones [122]. Cb1 = 56;                Botones [122]. Cb2 = 63;                Botones [122]. Ab = 2;                Botones [122]. Pb = 1;                Botones [122]. Isc = 0;                Botones [122]. Sc = 30;
                Botones [123].Left = 364;  Botones [123].Up = 274;Botones [123]. Right = 436;Botones [123]. Down = 291;
                Botones [123]. Cdf = 7;                Botones [123]. Cb1 = 56;                Botones [123]. Cb2 = 63;                Botones [123]. Ab = 2;                Botones [123]. Pb = 1;                Botones [123]. Isc = 0;                Botones [123]. Sc = 46;
		n_Botones_Secuencia[4 - 1] = 4;
                SiZe_BoToN += ( sizeof( struct Make_Boton ) * 4);
                if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
                  Secuencias = 4;
                  return SIN_MEMORIA;
		}
                memoria_asignada = 1;
                Botones [124].Left = 377;  Botones [124].Up = 169;Botones [124]. Right = 391;Botones [124]. Down = 221;
                Botones [124]. Cdf = 7;                Botones [124]. Cb1 = 56;                Botones [124]. Cb2 = 63;                Botones [124]. Ab = 0;                Botones [124]. Pb = 1;                Botones [124]. Isc = 0;                Botones [124]. Sc = 46;
                Botones [125].Left = 377;  Botones [125].Up = 223;Botones [125]. Right = 391;Botones [125]. Down = 276;
                Botones [125]. Cdf = 7;                Botones [125]. Cb1 = 56;                Botones [125]. Cb2 = 63;                Botones [125]. Ab = 0;                Botones [125]. Pb = 1;                Botones [125]. Isc = 0;                Botones [125]. Sc = 30;
                Botones [126].Left = 377;  Botones [126].Up = 278;Botones [126]. Right = 391;Botones [126]. Down = 303;
                Botones [126]. Cdf = 7;                Botones [126]. Cb1 = 56;                Botones [126]. Cb2 = 63;                Botones [126]. Ab = 0;                Botones [126]. Pb = 1;                Botones [126]. Isc = 0;                Botones [126]. Sc = 72;
                Botones [127].Left = 377;  Botones [127].Up = 305;Botones [127]. Right = 391;Botones [127]. Down = 330;
                Botones [127]. Cdf = 7;                Botones [127]. Cb1 = 56;                Botones [127]. Cb2 = 63;                Botones [127]. Ab = 0;                Botones [127]. Pb = 1;                Botones [127]. Isc = 0;                Botones [127]. Sc = 80;
                n_Botones_Secuencia[5 - 1] = 22;
                SiZe_BoToN += ( sizeof( struct Make_Boton ) * 22);
                if ( (Botones = (struct Make_Boton far *)farrealloc(Botones, SiZe_BoToN )) == NULL) {
                  Secuencias = 5;
                  return SIN_MEMORIA;
		}
                memoria_asignada = 1;
                Botones [128].Left = 15;  Botones [128].Up = 380;Botones [128]. Right = 25;Botones [128]. Down = 390;
                Botones [128]. Cdf = 0;                Botones [128]. Cb1 = 7;                Botones [128]. Cb2 = 7;                Botones [128]. Ab = 3;                Botones [128]. Pb = 0;                Botones [128]. Isc = 82;                Botones [128]. Sc = 0;
                Botones [129].Left = 15;  Botones [129].Up = 405;Botones [129]. Right = 25;Botones [129]. Down = 415;
		Botones [129]. Cdf = 0;                Botones [129]. Cb1 = 7;                Botones [129]. Cb2 = 7;                Botones [129]. Ab = 3;                Botones [129]. Pb = 0;                Botones [129]. Isc = 73;                Botones [129]. Sc = 0;
                Botones [130].Left = 15;  Botones [130].Up = 430;Botones [130]. Right = 25;Botones [130]. Down = 440;
                Botones [130]. Cdf = 0;                Botones [130]. Cb1 = 7;                Botones [130]. Cb2 = 7;                Botones [130]. Ab = 3;                Botones [130]. Pb = 0;                Botones [130]. Isc = 80;                Botones [130]. Sc = 0;
                Botones [131].Left = 15;  Botones [131].Up = 455;Botones [131]. Right = 25;Botones [131]. Down = 465;
                Botones [131]. Cdf = 0;                Botones [131]. Cb1 = 7;                Botones [131]. Cb2 = 7;                Botones [131]. Ab = 3;                Botones [131]. Pb = 0;                Botones [131]. Isc = 77;                Botones [131]. Sc = 0;
                Botones [132].Left = 315;  Botones [132].Up = 380;Botones [132]. Right = 325;Botones [132]. Down = 390;
                Botones [132]. Cdf = 0;                Botones [132]. Cb1 = 7;                Botones [132]. Cb2 = 7;                Botones [132]. Ab = 3;                Botones [132]. Pb = 0;                Botones [132]. Isc = 84;                Botones [132]. Sc = 0;
                Botones [133].Left = 315;  Botones [133].Up = 395;Botones [133]. Right = 325;Botones [133]. Down = 405;
                Botones [133]. Cdf = 0;                Botones [133]. Cb1 = 7;                Botones [133]. Cb2 = 7;                Botones [133]. Ab = 3;                Botones [133]. Pb = 0;                Botones [133]. Isc = 83;                Botones [133]. Sc = 0;
                Botones [134].Left = 315;  Botones [134].Up = 410;Botones [134]. Right = 325;Botones [134]. Down = 420;
                Botones [134]. Cdf = 0;                Botones [134]. Cb1 = 7;                Botones [134]. Cb2 = 7;                Botones [134]. Ab = 3;                Botones [134]. Pb = 0;                Botones [134]. Isc = 86;                Botones [134]. Sc = 0;
                Botones [135].Left = 496;  Botones [135].Up = 380;Botones [135]. Right = 506;Botones [135]. Down = 390;
                Botones [135]. Cdf = 1;                Botones [135]. Cb1 = 56;                Botones [135]. Cb2 = 63;                Botones [135]. Ab = 0;                Botones [135]. Pb = 0;                Botones [135]. Isc = 0;                Botones [135]. Sc = 0;
                Botones [136].Left = 496;  Botones [136].Up = 392;Botones [136]. Right = 506;Botones [136]. Down = 402;
                Botones [136]. Cdf = 2;                Botones [136]. Cb1 = 56;                Botones [136]. Cb2 = 63;                Botones [136]. Ab = 0;                Botones [136]. Pb = 0;                Botones [136]. Isc = 0;                Botones [136]. Sc = 0;
		Botones [137].Left = 496;  Botones [137].Up = 402;Botones [137]. Right = 506;Botones [137]. Down = 412;
                Botones [137]. Cdf = 3;                Botones [137]. Cb1 = 56;                Botones [137]. Cb2 = 63;                Botones [137]. Ab = 0;                Botones [137]. Pb = 0;                Botones [137]. Isc = 0;                Botones [137]. Sc = 0;
                Botones [138].Left = 496;  Botones [138].Up = 414;Botones [138]. Right = 506;Botones [138]. Down = 424;
                Botones [138]. Cdf = 4;                Botones [138]. Cb1 = 56;                Botones [138]. Cb2 = 63;                Botones [138]. Ab = 0;                Botones [138]. Pb = 0;                Botones [138]. Isc = 0;                Botones [138]. Sc = 0;
                Botones [139].Left = 496;  Botones [139].Up = 426;Botones [139]. Right = 506;Botones [139]. Down = 436;
		Botones [139]. Cdf = 5;                Botones [139]. Cb1 = 56;                Botones [139]. Cb2 = 63;                Botones [139]. Ab = 0;                Botones [139]. Pb = 0;                Botones [139]. Isc = 0;                Botones [139]. Sc = 0;
                Botones [140].Left = 508;  Botones [140].Up = 380;Botones [140]. Right = 518;Botones [140]. Down = 390;
                Botones [140]. Cdf = 6;                Botones [140]. Cb1 = 56;                Botones [140]. Cb2 = 63;                Botones [140]. Ab = 0;                Botones [140]. Pb = 0;                Botones [140]. Isc = 0;                Botones [140]. Sc = 0;
                Botones [141].Left = 508;  Botones [141].Up = 392;Botones [141]. Right = 518;Botones [141]. Down = 402;
                Botones [141]. Cdf = 7;                Botones [141]. Cb1 = 56;                Botones [141]. Cb2 = 63;                Botones [141]. Ab = 0;                Botones [141]. Pb = 0;                Botones [141]. Isc = 0;                Botones [141]. Sc = 0;
                Botones [142].Left = 508;  Botones [142].Up = 402;Botones [142]. Right = 518;Botones [142]. Down = 412;
                Botones [142]. Cdf = 8;                Botones [142]. Cb1 = 56;                Botones [142]. Cb2 = 63;                Botones [142]. Ab = 0;                Botones [142]. Pb = 0;                Botones [142]. Isc = 0;                Botones [142]. Sc = 0;
                Botones [143].Left = 508;  Botones [143].Up = 414;Botones [143]. Right = 518;Botones [143]. Down = 424;
                Botones [143]. Cdf = 9;                Botones [143]. Cb1 = 56;                Botones [143]. Cb2 = 63;                Botones [143]. Ab = 0;                Botones [143]. Pb = 0;                Botones [143]. Isc = 0;                Botones [143]. Sc = 0;
                Botones [144].Left = 508;  Botones [144].Up = 426;Botones [144]. Right = 518;Botones [144]. Down = 436;
                Botones [144]. Cdf = 10;                Botones [144]. Cb1 = 56;                Botones [144]. Cb2 = 63;                Botones [144]. Ab = 0;                Botones [144]. Pb = 0;                Botones [144]. Isc = 0;                Botones [144]. Sc = 0;
                Botones [145].Left = 520;  Botones [145].Up = 380;Botones [145]. Right = 530;Botones [145]. Down = 390;
                Botones [145]. Cdf = 11;                Botones [145]. Cb1 = 56;                Botones [145]. Cb2 = 63;                Botones [145]. Ab = 0;                Botones [145]. Pb = 0;                Botones [145]. Isc = 0;                Botones [145]. Sc = 0;
                Botones [146].Left = 520;  Botones [146].Up = 392;Botones [146]. Right = 530;Botones [146]. Down = 402;
                Botones [146]. Cdf = 12;                Botones [146]. Cb1 = 56;                Botones [146]. Cb2 = 63;                Botones [146]. Ab = 0;                Botones [146]. Pb = 0;                Botones [146]. Isc = 0;                Botones [146]. Sc = 0;
		Botones [147].Left = 520;  Botones [147].Up = 402;Botones [147]. Right = 530;Botones [147]. Down = 412;
                Botones [147]. Cdf = 13;                Botones [147]. Cb1 = 56;                Botones [147]. Cb2 = 63;                Botones [147]. Ab = 0;                Botones [147]. Pb = 0;                Botones [147]. Isc = 0;                Botones [147]. Sc = 0;
                Botones [148].Left = 520;  Botones [148].Up = 414;Botones [148]. Right = 530;Botones [148]. Down = 424;
                Botones [148]. Cdf = 14;                Botones [148]. Cb1 = 56;                Botones [148]. Cb2 = 63;                Botones [148]. Ab = 0;                Botones [148]. Pb = 0;                Botones [148]. Isc = 0;                Botones [148]. Sc = 0;
                Botones [149].Left = 520;  Botones [149].Up = 426;Botones [149]. Right = 530;Botones [149]. Down = 436;
		Botones [149]. Cdf = 15;                Botones [149]. Cb1 = 56;                Botones [149]. Cb2 = 63;                Botones [149]. Ab = 0;                Botones [149]. Pb = 0;                Botones [149]. Isc = 0;                Botones [149]. Sc = 0;
                break;
         case 1:
                  Bot_Static.Left = 236;  Bot_Static.Up = 95;  Bot_Static.Right = 425;  Bot_Static.Down = 135;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 239;  Bot_Static.Up = 98;  Bot_Static.Right = 422;  Bot_Static.Down = 132;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 1;  Bot_Static.Up = 140;  Bot_Static.Right = 91;  Bot_Static.Down = 165;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 4;  Bot_Static.Up = 143;  Bot_Static.Right = 87;  Bot_Static.Down = 162;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 1;  Bot_Static.Up = 170;  Bot_Static.Right = 91;  Bot_Static.Down = 359;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 4;  Bot_Static.Up = 173;  Bot_Static.Right = 87;  Bot_Static.Down = 356;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 96;  Bot_Static.Up = 140;  Bot_Static.Right = 231;  Bot_Static.Down = 165;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 99;  Bot_Static.Up = 143;  Bot_Static.Right = 228;  Bot_Static.Down = 162;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 96;  Bot_Static.Up = 170;  Bot_Static.Right = 231;  Bot_Static.Down = 359;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 99;  Bot_Static.Up = 173;  Bot_Static.Right = 228;  Bot_Static.Down = 356;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 236;  Bot_Static.Up = 140;  Bot_Static.Right = 425;  Bot_Static.Down = 165;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 239;  Bot_Static.Up = 143;  Bot_Static.Right = 422;  Bot_Static.Down = 162;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 236;  Bot_Static.Up = 170;  Bot_Static.Right = 425;  Bot_Static.Down = 359;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 239;  Bot_Static.Up = 173;  Bot_Static.Right = 422;  Bot_Static.Down = 356;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(63);  settextstyle( 2, 0, 5);  outtextxy( 4, 143, " Direccin   Instruccin        Dato" );
                  setcolor(0);  settextstyle( 2, 0, 5);  outtextxy( 5, 144, " Direccin   Instruccin        Dato" );
                  Bot_Static.Left = 0;  Bot_Static.Up = 0;  Bot_Static.Right = 565;  Bot_Static.Down = 26;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
		  Bot_Static.Left = 3;  Bot_Static.Up = 3;  Bot_Static.Right = 562;  Bot_Static.Down = 23;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 0;  Bot_Static.Up = 30;  Bot_Static.Right = 320;  Bot_Static.Down = 90;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 4;  Bot_Static.Up = 34;  Bot_Static.Right = 18;  Bot_Static.Down = 86;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 0;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  setcolor(63);  settextstyle( 2, 1, 4);  outtextxy( 4, 34, "Entradas" );
                  setcolor(0);  settextstyle( 2, 1, 4);  outtextxy( 5, 35, "Entradas" );
                  Bot_Static.Left = 321;  Bot_Static.Up = 30;  Bot_Static.Right = 640;  Bot_Static.Down = 90;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 325;  Bot_Static.Up = 34;  Bot_Static.Right = 339;  Bot_Static.Down = 86;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 0;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(63);  settextstyle( 2, 1, 4);  outtextxy( 325, 34, "Salidas " );
                  setcolor(0);  settextstyle( 2, 1, 4);  outtextxy( 326, 35, "Salidas " );
                  Bot_Static.Left = 1;  Bot_Static.Up = 364;  Bot_Static.Right = 550;  Bot_Static.Down = 478;  Bot_Static.Cdf = 12;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 6;  Bot_Static.Up = 369;  Bot_Static.Right = 545;  Bot_Static.Down = 473;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 535;  Bot_Static.Up = 100;  Bot_Static.Right = 635;  Bot_Static.Down = 130;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(0, Bot_Static);
		break;
	 case 2:

		  setcolor(4);  settextstyle( 2, 0, 6);
		    outtextxy( 539, 105, "  R U N" );
		    outtextxy( 539, 108, "    _" );

		  setcolor(12);  settextstyle( 2, 0, 4);
		    outtextxy( 570, 8, "_" );

		  settextstyle( 2, 0, 5);
		    outtextxy( 582, 368, " _" );
		    outtextxy( 582, 457, " _" );

		  settextstyle( 2, 0, 6);
		    outtextxy( 538, 104, "  R U N" );
		    outtextxy( 538, 107, "    _" );

		  settextstyle( 2, 1, 5);
		    outtextxy( 587, 395, "   _   " );
		    outtextxy( 616, 395, "    _  " );
		    outtextxy( 558, 369, " Configurar " );
		    outtextxy( 560, 369, " _          " );

		  setcolor(0);  settextstyle( 2, 0, 4);
		    outtextxy( 571, 6, "Acerca de..." );
		    outtextxy( 571, 9, "_" );

		  setcolor(0);  settextstyle( 2, 1, 5);
		    outtextxy( 561, 370, " _          " );
		    outtextxy( 586, 396, " Salvar" );
		    outtextxy( 588, 396, "   _   " );
		    outtextxy( 613, 396, " Cargar" );
		    outtextxy( 617, 396, "    _  " );
		    outtextxy( 559, 370, " Configurar " );


		  // INICIO 63
		  setcolor(63);
		  settextstyle( 2, 0, 5);
		    outtextxy( 126, 64, " 12" );
		    outtextxy( 153, 64, " 13" );
		    outtextxy( 180, 64, " 14" );
		    outtextxy( 207, 64, " 15" );
		    outtextxy( 234, 64, " 03" );
		    outtextxy( 261, 64, " 04" );
		    outtextxy( 288, 64, " 19" );
		    outtextxy( 339, 37, "  0" );
		    outtextxy( 366, 37, "  1" );
		    outtextxy( 393, 37, "  2" );
		    outtextxy( 570, 5, "Acerca de..." );
		    outtextxy( 582, 366, " Reset" );
		    outtextxy( 420, 37, "  3" );
		    outtextxy( 447, 37, "  4" );
		    outtextxy( 582, 455, " Salir" );
		    outtextxy( 18, 37, "  0" );
		    outtextxy( 45, 37, "  1" );
		    outtextxy( 72, 37, "  2" );
		    outtextxy( 99, 37, "  3" );
		    outtextxy( 126, 37, "  4" );
		    outtextxy( 153, 37, "  5" );
		    outtextxy( 180, 37, "  6" );
		    outtextxy( 207, 37, "  7" );
		    outtextxy( 234, 37, " 00" );
		    outtextxy( 261, 37, " 01" );
		    outtextxy( 288, 37, " 02" );
		    outtextxy( 18, 64, "  8" );
		    outtextxy( 45, 64, "  9" );
		    outtextxy( 72, 64, " 10" );
		    outtextxy( 99, 64, " 11" );
		    outtextxy( 339, 64, "  8" );
		    outtextxy( 526, 37, "  7" );
		    outtextxy( 499, 37, "  6" );
		    outtextxy( 474, 37, "  5" );
		    outtextxy( 553, 37, " 05" );
		    outtextxy( 580, 37, " 06" );
		    outtextxy( 607, 37, " 07" );
		    outtextxy( 366, 64, "  9" );
		    outtextxy( 393, 64, " 10" );
		    outtextxy( 434, 105, "FUN" );
		    outtextxy( 474, 64, " 13" );
		    outtextxy( 447, 64, " 12" );
		    outtextxy( 420, 64, " 11" );
		    outtextxy( 499, 64, " 14" );
		    outtextxy( 526, 64, " 15" );
		    outtextxy( 553, 64, " 08" );
		    outtextxy( 580, 64, " 09" );
		    outtextxy( 434, 107, "_" );
		    outtextxy( 607, 64, " 10" );
		    outtextxy( 433, 140, "AND  OR  CNT" );
		    outtextxy( 469, 105, "SFT" );
		    outtextxy( 469, 107, "_" );
		    outtextxy( 505, 105, "NOT" );
		    outtextxy( 505, 107, "_" );
		    outtextxy( 614, 142, "_" );
		    outtextxy( 614, 140, "HR" );
		    outtextxy( 430, 175, " LD  OUT" );
		    outtextxy( 544, 140, "TR  LR" );
		    outtextxy( 544, 142, "_    _" );
		    outtextxy( 430, 177, " _    _" );
		    outtextxy( 505, 175, "TIM" );
		    outtextxy( 505, 175, "  _" );
		    outtextxy( 544, 175, "DM  CH" );
		    outtextxy( 544, 177, "_" );
		    outtextxy( 433, 142, "_    _   _" );


		  setcolor(63);  settextstyle( 2, 1, 5);
		    outtextxy( 585, 395, " Salvar" );
		    outtextxy( 612, 395, " Cargar" );
		  setcolor(63);  settextstyle( 2, 0, 4);
		    outtextxy( 609, 177, "CONT" );
		    outtextxy( 430, 345, "   Debug Code" );
		    outtextxy( 533, 345, "  Reset Valores" );
		  // FIN 63

		  setcolor(0);  settextstyle( 2, 0, 5);
		    outtextxy( 583, 459, " _" );
		    outtextxy( 583, 367, " Reset" );
		    outtextxy( 583, 369, " _" );
		    outtextxy( 583, 456, " Salir" );
		    outtextxy( 19, 38, "  0" );
		    outtextxy( 46, 38, "  1" );
		    outtextxy( 73, 38, "  2" );
		    outtextxy( 100, 38, "  3" );
		    outtextxy( 127, 38, "  4" );
		    outtextxy( 154, 38, "  5" );
		    outtextxy( 181, 38, "  6" );
		    outtextxy( 208, 38, "  7" );
		    outtextxy( 235, 38, " 00" );
		    outtextxy( 262, 38, " 01" );
		    outtextxy( 289, 38, " 02" );
		    outtextxy( 19, 65, "  8" );
		    outtextxy( 46, 65, "  9" );
		    outtextxy( 73, 65, " 10" );
		    outtextxy( 100, 65, " 11" );
		    outtextxy( 127, 65, " 12" );
		    outtextxy( 154, 65, " 13" );
		    outtextxy( 181, 65, " 14" );
		    outtextxy( 208, 65, " 15" );
		    outtextxy( 235, 65, " 03" );
		    outtextxy( 262, 65, " 04" );
		    outtextxy( 289, 65, " 19" );
		    outtextxy( 340, 38, "  0" );
		    outtextxy( 367, 38, "  1" );
		    outtextxy( 394, 38, "  2" );
		    outtextxy( 421, 38, "  3" );
		    outtextxy( 448, 38, "  4" );
		    outtextxy( 475, 38, "  5" );
		    outtextxy( 500, 38, "  6" );
		    outtextxy( 527, 38, "  7" );
		    outtextxy( 554, 38, " 05" );
		    outtextxy( 581, 38, " 06" );
		    outtextxy( 608, 38, " 07" );
		    outtextxy( 340, 65, "  8" );
		    outtextxy( 367, 65, "  9" );
		    outtextxy( 394, 65, " 10" );
		    outtextxy( 421, 65, " 11" );
		    outtextxy( 448, 65, " 12" );
		    outtextxy( 475, 65, " 13" );
		    outtextxy( 500, 65, " 14" );
		    outtextxy( 527, 65, " 15" );
		    outtextxy( 554, 65, " 08" );
		    outtextxy( 581, 65, " 09" );
		    outtextxy( 608, 65, " 10" );
		    outtextxy( 435, 106, "FUN" );
		    outtextxy( 435, 108, "_" );
		    outtextxy( 470, 106, "SFT" );
		    outtextxy( 470, 108, "_" );
		    outtextxy( 506, 106, "NOT" );
		    outtextxy( 506, 108, "_" );
		    outtextxy( 434, 141, "AND  OR  CNT" );
		    outtextxy( 434, 143, "_    _   _" );
		    outtextxy( 545, 141, "TR  LR" );
		    outtextxy( 545, 143, "_    _" );
		    outtextxy( 614, 141, "HR" );
		    outtextxy( 614, 143, "_" );
		    outtextxy( 431, 176, " LD  OUT" );
		    outtextxy( 431, 178, " _    _" );
		    outtextxy( 506, 176, "TIM" );
		    outtextxy( 506, 176, "  _" );
		    outtextxy( 545, 176, "DM  CH" );
		    outtextxy( 545, 178, "_" );
		    outtextxy( 545, 178, "     _" );
		    outtextxy( 544, 246, "    DEL" );
		    outtextxy( 441, 216, " 7        9" );
		    outtextxy( 438, 216, "      8" );
		    outtextxy( 540, 211, "EXT" );
		    outtextxy( 438, 251, "      5" );
		    outtextxy( 544, 211, "    CHG" );
		    outtextxy( 441, 251, " 4        6" );
		    outtextxy( 441, 286, " 1        3" );
		    outtextxy( 438, 286, "      2 " );
		    outtextxy( 540, 281, "REC" );
		    outtextxy( 536, 281, "     INS  UP" );
		    outtextxy( 441, 321, " 0" );
		    outtextxy( 506, 316, "CLR" );
		    outtextxy( 508, 316, "    VER" );

		  setcolor(0);
		  settextstyle( 2, 0, 4);
		    outtextxy( 609, 178, "CONT" );
		    outtextxy( 609, 180, " _" );
		    outtextxy( 538, 249, "" );
		    outtextxy( 543, 256, "SET" );
		    outtextxy( 609, 248, "MONT" );
		    outtextxy( 540, 243, "PLAY" );
		    outtextxy( 609, 213, "SCRH" );
		    outtextxy( 428, 242, " E     F" );
		    outtextxy( 428, 277, " B     C     D" );
		    outtextxy( 428, 312, " A" );
		    outtextxy( 539, 318, "      WRIT  DOWN" );
		    outtextxy( 539, 318, "            DOWN" );
		    outtextxy( 431, 346, "   Debug Code" );
		    outtextxy( 534, 346, "  Reset Valores" );

		  setcolor(7);
		    outtextxy( 429, 243, " E     F" );
		    outtextxy( 429, 278, " B     C     D" );
		    outtextxy( 429, 313, " A" );
		  setcolor(22);
		    outtextxy( 539, 242, "PLAY" );
		    outtextxy( 538, 248, "" );
		    outtextxy( 538, 317, "      WRIT  DOWN" );
		    outtextxy( 538, 317, "            DOWN" );
		    outtextxy( 609, 247, "MONT" );
		    outtextxy( 542, 255, "SET" );
		    outtextxy( 609, 212, "SCRH" );

		  settextstyle( 2, 0, 5);
		    outtextxy( 440, 250, " 4        6" );
		    outtextxy( 437, 250, "      5" );
		    outtextxy( 507, 315, "    VER" );
		    outtextxy( 535, 280, "     INS  UP" );
		    outtextxy( 440, 320, " 0" );
		    outtextxy( 505, 315, "CLR" );
		    outtextxy( 543, 245, "    DEL" );
		    outtextxy( 440, 285, " 1        3" );
		    outtextxy( 539, 280, "REC" );
		    outtextxy( 437, 285, "      2" );
		    outtextxy( 440, 215, " 7        9" );
		    outtextxy( 437, 215, "      8" );
		    outtextxy( 539, 210, "EXT" );
		    outtextxy( 543, 210, "    CHG" );

		  setcolor(12);
		    outtextxy( 544, 177, "     _" );
		  settextstyle( 2, 0, 4);
		    outtextxy( 609, 179, " _" );


		break;
	 case 3:
		  Bot_Static.Left = 538;  Bot_Static.Up = 103;  Bot_Static.Right = 632;  Bot_Static.Down = 127;  Bot_Static.Cdf = 9;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  settextstyle( 2, 0, 6);
		  setcolor(12);
		    outtextxy( 538, 104, " S T O P" );
		    settextstyle( 2, 0, 6);  outtextxy( 538, 107, " _" );
		  setcolor(4);
		    settextstyle( 2, 0, 6);  outtextxy( 539, 105, " S T O P" );
		    settextstyle( 2, 0, 6);  outtextxy( 539, 108, "_" );
		break;
	 case 4:
		  Bot_Static.Left = 538;  Bot_Static.Up = 103;  Bot_Static.Right = 632;  Bot_Static.Down = 127;  Bot_Static.Cdf = 9;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  settextstyle( 2, 0, 6);
		  setcolor(12);
		    outtextxy( 538, 104, "  R U N" );
		    outtextxy( 538, 107, "    _" );
		  setcolor(4);
		    outtextxy( 539, 105, "  R U N" );
		    outtextxy( 539, 108, "    _" );
		break;
	 case 100:
		  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(0, Bot_Static);
		  Bot_Static.Left = 200;  Bot_Static.Up = 270;  Bot_Static.Right = 280;  Bot_Static.Down = 295;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 360;  Bot_Static.Up = 270;  Bot_Static.Right = 440;  Bot_Static.Down = 295;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		break;
	 case 101:
		  settextstyle( 2, 0, 5);
		  setcolor(63);
		    outtextxy( 200, 274, "  Aceptar" );
		    outtextxy( 340, 274, "    Cancelar" );
		  setcolor(0);
		    outtextxy( 201, 275, "  Aceptar" );
		    outtextxy( 201, 275, "  A" );
		    outtextxy( 341, 275, "    C" );
		    outtextxy( 341, 275, "    Cancelar" );
		  setcolor(14);
		    outtextxy( 200, 274, "  A" );
		    outtextxy( 340, 274, "    C" );
		break;
         case 10:
                  Bot_Static.Left = 240;  Bot_Static.Up = 140;  Bot_Static.Right = 400;  Bot_Static.Down = 340;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 243;  Bot_Static.Up = 143;  Bot_Static.Right = 397;  Bot_Static.Down = 337;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 250;  Bot_Static.Up = 150;  Bot_Static.Right = 391;  Bot_Static.Down = 164;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 0;  Bot_Static.Pb = 1;
                  Imprime_Boton(0, Bot_Static);
                  Bot_Static.Left = 250;  Bot_Static.Up = 169;  Bot_Static.Right = 375;  Bot_Static.Down = 180;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 0;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 250;  Bot_Static.Up = 185;  Bot_Static.Right = 375;  Bot_Static.Down = 330;  Bot_Static.Cdf = 0;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 0;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 377;  Bot_Static.Up = 169;  Bot_Static.Right = 391;  Bot_Static.Down = 221;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 0;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 377;  Bot_Static.Up = 223;  Bot_Static.Right = 391;  Bot_Static.Down = 276;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 0;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 377;  Bot_Static.Up = 278;  Bot_Static.Right = 391;  Bot_Static.Down = 303;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 0;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 377;  Bot_Static.Up = 305;  Bot_Static.Right = 391;  Bot_Static.Down = 330;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 0;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);

		  setcolor(63);
		  settextstyle( 2, 1, 4);
		    outtextxy( 377, 169, "Cancelar" );
		    outtextxy( 377, 223, "Aceptar " );

		  setcolor(2);
		    outtextxy( 377, 169, "C       " );
		    outtextxy( 377, 223, "A       " );

		  setcolor(0);
		    outtextxy( 378, 170, "Cancelar" );
		    outtextxy( 378, 170, "C       " );
		    outtextxy( 378, 224, "Aceptar " );
		    outtextxy( 378, 224, "A       " );
		  settextstyle( 2, 0, 4);
		    outtextxy( 378, 289, " -" );
		    outtextxy( 378, 316, " +" );

		  setcolor(63);
		    outtextxy( 377, 288, " -" );
		  setcolor(63);
		    outtextxy( 377, 315, " +" );

		break;
	 case 20:
		  setcolor(63);  settextstyle( 2, 0, 5);
		    outtextxy( 14, 383, "   _" );
		    outtextxy( 14, 408, "        _" );
		    outtextxy( 14, 433, "        _" );
		    outtextxy( 14, 458, "   _" );
		    outtextxy( 314, 398, "         _" );
		    outtextxy( 314, 383, "   _" );
		    outtextxy( 314, 413, "   _" );
		  setcolor(4);
		    outtextxy( 15, 405, "   Usar INT 8  [ Ejecucin TURBO    ]" );
		    outtextxy( 15, 380, "   RETROCEDER...       Colores >>> >> >" );
		    outtextxy( 15, 430, "   Usar PC_Out [ Interfaz PC <> Out  ]" );
		    outtextxy( 15, 455, "   Mostrar Diagramas de Tiempo" );
		  setcolor(12);
		    outtextxy( 315, 380, "   Texto           >" );
		    outtextxy( 315, 395, "   Texto Sealado   >" );
		    outtextxy( 315, 410, "   Visor LCD       >" );
		break;
	 case 200:
		  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 12;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  setcolor(240);  settextstyle( 2, 0, 5);
		    outtextxy( 210, 222, "  ERROR ABRIENDO FICHERO" );
		    outtextxy( 210, 242, "    OPERACION ABORTADA" );
		break;
	 case 300:
		  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 12;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  setcolor(240);  settextstyle( 2, 0, 5);
		    outtextxy( 210, 222, "     P L C (c) 1995 v 2.0" );
		    outtextxy( 210, 242, "     Jos David Guilln.." );
                break;
         case 500:
                  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 12;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
                  Imprime_Boton(1, Bot_Static);
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 222, "   Programa no tiene FUN" );
                  setcolor(240);  settextstyle( 2, 0, 5);  outtextxy( 210, 242, "  ERROR EN LA EJECUCIN..." );
		break;
	 case 501:
		  Bot_Static.Left = 200;  Bot_Static.Up = 212;  Bot_Static.Right = 440;  Bot_Static.Down = 267;  Bot_Static.Cdf = 12;  Bot_Static.Cb1 = 63;  Bot_Static.Cb2 = 56;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  Bot_Static.Left = 205;  Bot_Static.Up = 217;  Bot_Static.Right = 435;  Bot_Static.Down = 262;  Bot_Static.Cdf = 7;  Bot_Static.Cb1 = 56;  Bot_Static.Cb2 = 63;  Bot_Static.Ab = 2;  Bot_Static.Pb = 1;
		  Imprime_Boton(1, Bot_Static);
		  setcolor(240);  settextstyle( 2, 0, 5);
		    outtextxy( 210, 222, "  Se encontro una funcin" );
		    outtextxy( 210, 242, "  no reconocida por PLC..." );
                break;
         default:
                break;
        }
}
